Here are the minimum system requirements for various versions of the Men & Mice Suite

Men & Mice 6.9

Older versions